using TagashiFileHub.Core.Abstractions;

namespace TagashiFileHub.Core;

public class UniqueObject : IUnique<string>
{
    public string Id { get; set; }

    protected string CreateNewId()
    {
        return new Guid().ToString();
    }
}